# Module: `core.payloadpage`

A payload based version of page.

Authors:

- Brian Granger
- Fernando Perez

## 2 Functions

`IPython.core.payloadpage.``page`(strng, start=0, screen_lines=0, pager_cmd=None, html=None, auto_html=False)

  Print a string, piping through a pager.

  This version ignores the screen_lines and pager_cmd arguments and uses IPython’s payload system instead.

  Parameters:

  strng : str

  > Text to page.

  start : int

  > Starting line at which to place the display.

  html : str, optional

  > If given, an html string to send as well.

  auto_html : bool, optional

  > If true, the input string is assumed to be valid reStructuredText and is converted to HTML with docutils. Note that if docutils is not found, this option is silently ignored.

  Notes

  Only one of the `html` and `auto_html` options can be given, not both.

`IPython.core.payloadpage.``install_payload_page`()

  Install this version of page as IPython.core.page.page.